#!/usr/bin/env bash
git submodule init
git submodule update --remote

mkdir -p docs/tech
mkdir -p files-from-repos
cp ./backend/definitions/README.md ./docs/tech/architecture/definitions.md
cp ./backend/CHANGELOG.md ./docs/tech/architecture/CHANGELOG.md
cp ./backend/openapi.yml ./docs/tech/api/openapi.yml
cp ./frontend/docker/nginx-deployment/README.md ./files-from-repos/nginx-README.md
zip -r ./files-from-repos/deployment-files.zip ./frontend/docker/nginx-deployment/